This website uses cookies. Accept Cookies Find out more

Supported operating systems and Outlook versions

KB113
Article Id:
01 Aug 2013, last updated 26 Feb 2016
Published:

Current Support

Hosted Exchange supports the use of:

  • Outlook 2007 (with Service Pack 1 installed)
  • Outlook 2010
  • Office for Mac 2011 (this is preferred for Apple users)
  • Entourage 2008 - Office 2008 (limited compatibility, not supported by Calzada Media)

Limitations

  • Unfortunately, Outlook 2003 is not compatible with Exchange 2010.
  • Although Entourage 2008 is supported by Exchange 2010 it is of limited compatibility and is not supported by our supprt team.
 Loading ...